// SPDX-License-Identifier: MIT
// Copyright (c) 2021 KikooDX
// This file is part of [KBLE](https://sr.ht/~kikoodx/kble), which is
// MIT licensed. The MIT license requires this copyright notice to be
// included in all copies and substantial portions of the software.
/// Different cursor modes (for keyboard).
pub const Mode = enum {
    normal, // move cursor and do stuff
    select, // same, but select while doing so
    rectangle, // same, but select as a rectangle
    unselect, // remove from selection instead of adding to it
    unrectangle, // same as above for rectangle
    camera, // move camera instead
};
